# Docker-based Terminalserver

Based on https://docs.linuxserver.io/images/docker-rdesktop

## Quickstart
- `cp .env.template .env` and define additional packages in `.env`  
- Add additional users in `users.list`

## Additional packages
- `apt-get install` is executed during image build time,
  to build a new image run `docker compose build` 

## Additional users
- Additional users are created during container startup from `./users.list`
- Format: One user per line, values are whitespace separated
- Format: `<uid/gid> <username> <password-hash> <group(s)>`
- Example: `1001 john $1$8c8L.2jD$U6O8vpmrsi0LamR93Ntbj/ sudo,album` 
- To add a new user, run: ```echo "1001 john `openssl passwd -6 SomeSecretPassword` sudo,album" >> users.list```
- Hash Format: `x$salt$hash`. `x` denotes the algorithm used by crypt: `1` for md5, `2a` for Blowfish, `2y` for 8bit character Blowfish, `5` for sha256 and `6` for sha512.
